Loading...
Searching...
No Matches
samplefmt.h File Reference
`#include <stdint.h>`

Go to the source code of this file.

## Enumerations

enum | AVSampleFormat { AV_SAMPLE_FMT_NONE = -1 , AV_SAMPLE_FMT_U8 , AV_SAMPLE_FMT_S16 , AV_SAMPLE_FMT_S32 , AV_SAMPLE_FMT_FLT , AV_SAMPLE_FMT_DBL , AV_SAMPLE_FMT_U8P , AV_SAMPLE_FMT_S16P , AV_SAMPLE_FMT_S32P , AV_SAMPLE_FMT_FLTP , AV_SAMPLE_FMT_DBLP , AV_SAMPLE_FMT_S64 , AV_SAMPLE_FMT_S64P , AV_SAMPLE_FMT_NB }
| Audio sample formats. More...

## Functions

const char * | av_get_sample_fmt_name (enum AVSampleFormat sample_fmt)
| Return the name of sample_fmt, or NULL if sample_fmt is not recognized.
enum AVSampleFormat | av_get_sample_fmt (const char *name)
| Return a sample format corresponding to name, or AV_SAMPLE_FMT_NONE on error.
enum AVSampleFormat | av_get_alt_sample_fmt (enum AVSampleFormat sample_fmt, int planar)
| Return the planar<->packed alternative form of the given sample format, or AV_SAMPLE_FMT_NONE on error.
enum AVSampleFormat | av_get_packed_sample_fmt (enum AVSampleFormat sample_fmt)
| Get the packed alternative form of the given sample format.
enum AVSampleFormat | av_get_planar_sample_fmt (enum AVSampleFormat sample_fmt)
| Get the planar alternative form of the given sample format.
char * | av_get_sample_fmt_string (char *buf, int buf_size, enum AVSampleFormat sample_fmt)
| Generate a string corresponding to the sample format with sample_fmt, or a header if sample_fmt is negative.
int | av_get_bytes_per_sample (enum AVSampleFormat sample_fmt)
| Return number of bytes per sample.
int | av_sample_fmt_is_planar (enum AVSampleFormat sample_fmt)
| Check if the sample format is planar.
int | av_samples_get_buffer_size (int *linesize, int nb_channels, int nb_samples, enum AVSampleFormat sample_fmt, int align)
| Get the required buffer size for the given audio parameters.
int | av_samples_fill_arrays (uint8_t **audio_data, int *linesize, const uint8_t *buf, int nb_channels, int nb_samples, enum AVSampleFormat sample_fmt, int align)
| Fill plane data pointers and linesize for samples with sample format sample_fmt.
int | av_samples_alloc (uint8_t **audio_data, int *linesize, int nb_channels, int nb_samples, enum AVSampleFormat sample_fmt, int align)
| Allocate a samples buffer for nb_samples samples, and fill data pointers and linesize accordingly.
int | av_samples_alloc_array_and_samples (uint8_t ***audio_data, int *linesize, int nb_channels, int nb_samples, enum AVSampleFormat sample_fmt, int align)
| Allocate a data pointers array, samples buffer for nb_samples samples, and fill data pointers and linesize accordingly.
int | av_samples_copy (uint8_t *const *dst, uint8_t *const *src, int dst_offset, int src_offset, int nb_samples, int nb_channels, enum AVSampleFormat sample_fmt)
| Copy samples from src to dst.
int | av_samples_set_silence (uint8_t *const *audio_data, int offset, int nb_samples, int nb_channels, enum AVSampleFormat sample_fmt)
| Fill an audio buffer with silence.